import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import './plugins/antd'
import './plugins/element'
import './components/index'
import './layouts/index'
import utils from './utils/index'
import api from './plugins/axios/index'
Vue.config.productionTip = false
Vue.prototype.$utils = utils
Vue.prototype.$api = api
// import axios from 'axios'
// Vue.prototype.$axios = axios
import {HappyScroll} from 'vue-happy-scroll'
//自定义组件名
Vue.component('happy-scroll', HappyScroll)
// 引入css
import 'vue-happy-scroll/docs/happy-scroll.css'

// 图片预览插件 viewer
import 'viewerjs/dist/viewer.css'
import viewer from 'v-viewer'
Vue.use(viewer)


new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app')

const vuex = require('vuex');
console.log(vuex);
